Skip to content

# Namespace: Catalog

Common.Catalog

## Table of contents

### Classes

- CatalogCategory
- CatalogEntity
- GeneralCategory
- GeneralEntity
- KubernetesCluster
- KubernetesClusterCategory
- WebLink
- WebLinkCategory

### Interfaces

- CatalogCategoryEvents
- CatalogCategorySpec
- CatalogCategoryVersion
- CatalogEntityActionContext
- CatalogEntityAddMenu
- CatalogEntityAddMenuContext
- CatalogEntityContextMenu
- CatalogEntityContextMenuContext
- CatalogEntityData
- CatalogEntityKindData
- CatalogEntityMetadata
- CatalogEntitySettingsContext
- CatalogEntitySettingsMenu
- CatalogEntityStatus
- KubernetesClusterPrometheusMetrics
- KubernetesClusterSpec
- KubernetesClusterStatus
- WebLinkStatus

### Type aliases

- CatalogEntityConstructor
- CatalogEntitySpec
- KubernetesClusterStatusPhase
- WebLinkSpec

## Type aliases

### CatalogEntityConstructor

Ƭ CatalogEntityConstructor<Entity>: (`data`: CatalogEntityData<ExtractEntityMetadataType<Entity>, ExtractEntityStatusType<Entity>, ExtractEntitySpecType\>) => `Entity`

#### Type parameters

Name | Type
--- | ---
`Entity` | `Entity`: CatalogEntity

#### Type declaration

• (`data`)

##### Parameters

Name | Type
--- | ---
`data` | CatalogEntityData<ExtractEntityMetadataType<Entity>, ExtractEntityStatusType<Entity>, ExtractEntitySpecType<Entity>>

### CatalogEntitySpec

Ƭ CatalogEntitySpec: `Record`<string, any>

### KubernetesClusterStatusPhase

Ƭ KubernetesClusterStatusPhase: `"connected"` | `"connecting"` | `"disconnected"` | `"deleting"`

### WebLinkSpec

Ƭ WebLinkSpec: `Object`

#### Type declaration

Name | Type
--- | ---
`url` | `string`